> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# YouTube Reviews

> This endpoint is used to fetch comments from YouTube.



## OpenAPI

````yaml POST /youtube-continues/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /youtube-continues/reviews:
    post:
      description: This endpoint is used to fetch comments from YouTube.
      requestBody:
        description: YouTube comments scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/YouTubeReviewsRequest'
        required: true
      responses:
        '200':
          description: Comments fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/YouTubeReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    YouTubeReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper video id or url.
        sort_type:
          type: string
          description: Order in which comments should be sorted
          enum:
            - time
            - relevance
          default: relevance
        reviews_to_fetch:
          type: number
          description: >-
            Number of comments to fetch (default: all reviews, or within
            30-second timeout)
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    YouTubeReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched comments
          items:
            type: object
            properties:
              author_channel_id:
                type: string
                description: Channel ID of the comment author
              author_channel_url:
                type: string
                description: URL to the author's channel
              author_name:
                type: string
                description: Username of the comment author
              author_profile_image_url:
                type: string
                description: URL to the author's HD profile image
              author_profile_image_url_org:
                type: string
                description: URL to the author's profile image
              channel_id:
                type: string
                description: Channel ID of the video owner
              comment_id:
                type: string
                description: Unique identifier for the comment
              comment_text:
                type: string
                description: Content of the comment
              comment_timestamp:
                type: string
                description: Date and time when the comment was posted
              comment_update_timestamp:
                type: string
                description: Date and time when the comment was last updated
              comment_url:
                type: string
                description: URL to the specific comment
              like_count:
                type: integer
                description: Number of likes on the comment
              query:
                type: string
                description: Original query URL
              total_reply_count:
                type: integer
                description: Number of replies to the comment
              video_id:
                type: string
                description: ID of the YouTube video
              review_reply:
                type: object
                properties:
                  reply_like_count:
                    type: integer
                    description: Number of likes on the comment in reply
                  reply_id:
                    type: string
                    description: ID of the reply
                  reply_comment_timestamp:
                    type: string
                    description: Date and time when the reply comment was posted
                  reply_comment_update_timestamp:
                    type: string
                    description: Date and time when the reply comment was last updated
                  reply_author_channel_id:
                    type: string
                    description: Channel ID of the comment by reply author
                  reply_author_channel_url:
                    type: string
                    description: URL to the reply author's channel
                  reply_author_name:
                    type: string
                    description: Username of the comment author
                  reply_author_profile_image_url:
                    type: string
                    description: URL to the author's HD profile image
                  reply_author_profile_image_url_org:
                    type: string
                    description: URL to the author's profile image
                  reply_text:
                    type: string
                    description: Text content of the reply
                description: Reply to the review if available
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the video
            pagination_token:
              type:
                - string
                - 'null'
              description: Token for fetching the next page of comments
            total_review_count:
              type: integer
              description: Total number of comments fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of comment counts
        message:
          type: string
          description: Status message about the comment extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````